<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Tue Aug 01 04:46:24 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>PAMAdapterFactory (org.eclipse.papyrus.marte.static.profile 1.2.2 API)</title>
<meta name="date" content="2017-08-01">
<link rel="stylesheet" type="text/css" href="../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="PAMAdapterFactory (org.eclipse.papyrus.marte.static.profile 1.2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/PAMAdapterFactory.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/PAM/util/PAMResourceFactoryImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.PAM.util"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/PAM/util/PAMAdapterFactory.html" target="_top">Frames</a></li>
<li><a href="PAMAdapterFactory.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.PAM.util</div>
<h2 title="Class PAMAdapterFactory" class="title">Class PAMAdapterFactory</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.common.notify.impl.AdapterFactoryImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.PAM.util.PAMAdapterFactory</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>org.eclipse.emf.common.notify.AdapterFactory</dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">PAMAdapterFactory</span>
extends org.eclipse.emf.common.notify.impl.AdapterFactoryImpl</pre>
<div class="block"><!-- begin-user-doc -->
 The <b>Adapter Factory</b> for the model.
 It provides an adapter <code>createXXX</code> method for each class of the model.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/PAM/PAMPackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.PAM"><code>PAMPackage</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected static <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/PAM/PAMPackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.PAM">PAMPackage</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/PAM/util/PAMAdapterFactory.html#modelPackage">modelPackage</a></span></code>
<div class="block">The cached model package.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/PAM/util/PAMSwitch.html" title="class in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.PAM.util">PAMSwitch</a>&lt;org.eclipse.emf.common.notify.Adapter&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/PAM/util/PAMAdapterFactory.html#modelSwitch">modelSwitch</a></span></code>
<div class="block">The switch that delegates to the <code>createXXX</code> methods.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/PAM/util/PAMAdapterFactory.html#PAMAdapterFactory--">PAMAdapterFactory</a></span>()</code>
<div class="block">Creates an instance of the adapter factory.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.common.notify.Adapter</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/PAM/util/PAMAdapterFactory.html#createAdapter-org.eclipse.emf.common.notify.Notifier-">createAdapter</a></span>(org.eclipse.emf.common.notify.Notifier&nbsp;target)</code>
<div class="block">Creates an adapter for the <code>target</code>.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.common.notify.Adapter</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/PAM/util/PAMAdapterFactory.html#createEObjectAdapter--">createEObjectAdapter</a></span>()</code>
<div class="block">Creates a new adapter for the default case.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.common.notify.Adapter</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/PAM/util/PAMAdapterFactory.html#createGaCommStepAdapter--">createGaCommStepAdapter</a></span>()</code>
<div class="block">Creates a new adapter for an object of class '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaCommStep.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM"><code><em>Ga Comm Step</em></code></a>'.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.common.notify.Adapter</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/PAM/util/PAMAdapterFactory.html#createGaRequestedServiceAdapter--">createGaRequestedServiceAdapter</a></span>()</code>
<div class="block">Creates a new adapter for an object of class '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaRequestedService.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM"><code><em>Ga Requested Service</em></code></a>'.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.common.notify.Adapter</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/PAM/util/PAMAdapterFactory.html#createGaScenarioAdapter--">createGaScenarioAdapter</a></span>()</code>
<div class="block">Creates a new adapter for an object of class '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaScenario.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM"><code><em>Ga Scenario</em></code></a>'.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.common.notify.Adapter</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/PAM/util/PAMAdapterFactory.html#createGaStepAdapter--">createGaStepAdapter</a></span>()</code>
<div class="block">Creates a new adapter for an object of class '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaStep.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM"><code><em>Ga Step</em></code></a>'.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.common.notify.Adapter</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/PAM/util/PAMAdapterFactory.html#createPaCommStepAdapter--">createPaCommStepAdapter</a></span>()</code>
<div class="block">Creates a new adapter for an object of class '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/PAM/PaCommStep.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.PAM"><code><em>Pa Comm Step</em></code></a>'.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.common.notify.Adapter</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/PAM/util/PAMAdapterFactory.html#createPaLogicalResourceAdapter--">createPaLogicalResourceAdapter</a></span>()</code>
<div class="block">Creates a new adapter for an object of class '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/PAM/PaLogicalResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.PAM"><code><em>Pa Logical Resource</em></code></a>'.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.common.notify.Adapter</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/PAM/util/PAMAdapterFactory.html#createPaRequestedStepAdapter--">createPaRequestedStepAdapter</a></span>()</code>
<div class="block">Creates a new adapter for an object of class '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/PAM/PaRequestedStep.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.PAM"><code><em>Pa Requested Step</em></code></a>'.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.common.notify.Adapter</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/PAM/util/PAMAdapterFactory.html#createPaResPassStepAdapter--">createPaResPassStepAdapter</a></span>()</code>
<div class="block">Creates a new adapter for an object of class '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/PAM/PaResPassStep.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.PAM"><code><em>Pa Res Pass Step</em></code></a>'.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.common.notify.Adapter</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/PAM/util/PAMAdapterFactory.html#createPaRunTInstanceAdapter--">createPaRunTInstanceAdapter</a></span>()</code>
<div class="block">Creates a new adapter for an object of class '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/PAM/PaRunTInstance.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.PAM"><code><em>Pa Run TInstance</em></code></a>'.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.common.notify.Adapter</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/PAM/util/PAMAdapterFactory.html#createPaStepAdapter--">createPaStepAdapter</a></span>()</code>
<div class="block">Creates a new adapter for an object of class '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/PAM/PaStep.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.PAM"><code><em>Pa Step</em></code></a>'.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.common.notify.Adapter</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/PAM/util/PAMAdapterFactory.html#createResourceAdapter--">createResourceAdapter</a></span>()</code>
<div class="block">Creates a new adapter for an object of class '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM"><code><em>Resource</em></code></a>'.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.common.notify.Adapter</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/PAM/util/PAMAdapterFactory.html#createResourceUsageAdapter--">createResourceUsageAdapter</a></span>()</code>
<div class="block">Creates a new adapter for an object of class '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/ResourceUsage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM"><code><em>Resource Usage</em></code></a>'.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.common.notify.Adapter</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/PAM/util/PAMAdapterFactory.html#createTimedElementAdapter--">createTimedElementAdapter</a></span>()</code>
<div class="block">Creates a new adapter for an object of class '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedElement.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time"><code><em>Timed Element</em></code></a>'.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.common.notify.Adapter</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/PAM/util/PAMAdapterFactory.html#createTimedProcessingAdapter--">createTimedProcessingAdapter</a></span>()</code>
<div class="block">Creates a new adapter for an object of class '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedProcessing.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time"><code><em>Timed Processing</em></code></a>'.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/PAM/util/PAMAdapterFactory.html#isFactoryForType-java.lang.Object-">isFactoryForType</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;object)</code>
<div class="block">Returns whether this factory is applicable for the type of the object.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.impl.AdapterFactoryImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.common.notify.impl.AdapterFactoryImpl</h3>
<code>adapt, adapt, adaptAllNew, adaptNew, associate, createAdapter, resolve</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="modelPackage">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>modelPackage</h4>
<pre>protected static&nbsp;<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/PAM/PAMPackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.PAM">PAMPackage</a> modelPackage</pre>
<div class="block">The cached model package.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="modelSwitch">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>modelSwitch</h4>
<pre>protected&nbsp;<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/PAM/util/PAMSwitch.html" title="class in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.PAM.util">PAMSwitch</a>&lt;org.eclipse.emf.common.notify.Adapter&gt; modelSwitch</pre>
<div class="block">The switch that delegates to the <code>createXXX</code> methods.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="PAMAdapterFactory--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>PAMAdapterFactory</h4>
<pre>public&nbsp;PAMAdapterFactory()</pre>
<div class="block">Creates an instance of the adapter factory.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="isFactoryForType-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isFactoryForType</h4>
<pre>public&nbsp;boolean&nbsp;isFactoryForType(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;object)</pre>
<div class="block">Returns whether this factory is applicable for the type of the object.
 <!-- begin-user-doc -->
 This implementation returns <code>true</code> if the object is either the model's package or is an instance object of the model.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>isFactoryForType</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.common.notify.AdapterFactory</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>isFactoryForType</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.common.notify.impl.AdapterFactoryImpl</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>whether this factory is applicable for the type of the object.</dd>
</dl>
</li>
</ul>
<a name="createAdapter-org.eclipse.emf.common.notify.Notifier-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createAdapter</h4>
<pre>public&nbsp;org.eclipse.emf.common.notify.Adapter&nbsp;createAdapter(org.eclipse.emf.common.notify.Notifier&nbsp;target)</pre>
<div class="block">Creates an adapter for the <code>target</code>.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>createAdapter</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.common.notify.impl.AdapterFactoryImpl</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>target</code> - the object to adapt.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the adapter for the <code>target</code>.</dd>
</dl>
</li>
</ul>
<a name="createPaStepAdapter--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createPaStepAdapter</h4>
<pre>public&nbsp;org.eclipse.emf.common.notify.Adapter&nbsp;createPaStepAdapter()</pre>
<div class="block">Creates a new adapter for an object of class '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/PAM/PaStep.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.PAM"><code><em>Pa Step</em></code></a>'.
 <!-- begin-user-doc -->
 This default implementation returns null so that we can easily ignore cases;
 it's useful to ignore a case when inheritance will catch all the cases anyway.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the new adapter.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/PAM/PaStep.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.PAM"><code>PaStep</code></a></dd>
</dl>
</li>
</ul>
<a name="createPaRequestedStepAdapter--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createPaRequestedStepAdapter</h4>
<pre>public&nbsp;org.eclipse.emf.common.notify.Adapter&nbsp;createPaRequestedStepAdapter()</pre>
<div class="block">Creates a new adapter for an object of class '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/PAM/PaRequestedStep.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.PAM"><code><em>Pa Requested Step</em></code></a>'.
 <!-- begin-user-doc -->
 This default implementation returns null so that we can easily ignore cases;
 it's useful to ignore a case when inheritance will catch all the cases anyway.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the new adapter.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/PAM/PaRequestedStep.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.PAM"><code>PaRequestedStep</code></a></dd>
</dl>
</li>
</ul>
<a name="createPaCommStepAdapter--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createPaCommStepAdapter</h4>
<pre>public&nbsp;org.eclipse.emf.common.notify.Adapter&nbsp;createPaCommStepAdapter()</pre>
<div class="block">Creates a new adapter for an object of class '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/PAM/PaCommStep.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.PAM"><code><em>Pa Comm Step</em></code></a>'.
 <!-- begin-user-doc -->
 This default implementation returns null so that we can easily ignore cases;
 it's useful to ignore a case when inheritance will catch all the cases anyway.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the new adapter.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/PAM/PaCommStep.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.PAM"><code>PaCommStep</code></a></dd>
</dl>
</li>
</ul>
<a name="createPaResPassStepAdapter--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createPaResPassStepAdapter</h4>
<pre>public&nbsp;org.eclipse.emf.common.notify.Adapter&nbsp;createPaResPassStepAdapter()</pre>
<div class="block">Creates a new adapter for an object of class '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/PAM/PaResPassStep.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.PAM"><code><em>Pa Res Pass Step</em></code></a>'.
 <!-- begin-user-doc -->
 This default implementation returns null so that we can easily ignore cases;
 it's useful to ignore a case when inheritance will catch all the cases anyway.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the new adapter.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/PAM/PaResPassStep.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.PAM"><code>PaResPassStep</code></a></dd>
</dl>
</li>
</ul>
<a name="createPaLogicalResourceAdapter--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createPaLogicalResourceAdapter</h4>
<pre>public&nbsp;org.eclipse.emf.common.notify.Adapter&nbsp;createPaLogicalResourceAdapter()</pre>
<div class="block">Creates a new adapter for an object of class '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/PAM/PaLogicalResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.PAM"><code><em>Pa Logical Resource</em></code></a>'.
 <!-- begin-user-doc -->
 This default implementation returns null so that we can easily ignore cases;
 it's useful to ignore a case when inheritance will catch all the cases anyway.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the new adapter.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/PAM/PaLogicalResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.PAM"><code>PaLogicalResource</code></a></dd>
</dl>
</li>
</ul>
<a name="createPaRunTInstanceAdapter--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createPaRunTInstanceAdapter</h4>
<pre>public&nbsp;org.eclipse.emf.common.notify.Adapter&nbsp;createPaRunTInstanceAdapter()</pre>
<div class="block">Creates a new adapter for an object of class '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/PAM/PaRunTInstance.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.PAM"><code><em>Pa Run TInstance</em></code></a>'.
 <!-- begin-user-doc -->
 This default implementation returns null so that we can easily ignore cases;
 it's useful to ignore a case when inheritance will catch all the cases anyway.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the new adapter.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/PAM/PaRunTInstance.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.PAM"><code>PaRunTInstance</code></a></dd>
</dl>
</li>
</ul>
<a name="createResourceUsageAdapter--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createResourceUsageAdapter</h4>
<pre>public&nbsp;org.eclipse.emf.common.notify.Adapter&nbsp;createResourceUsageAdapter()</pre>
<div class="block">Creates a new adapter for an object of class '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/ResourceUsage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM"><code><em>Resource Usage</em></code></a>'.
 <!-- begin-user-doc -->
 This default implementation returns null so that we can easily ignore cases;
 it's useful to ignore a case when inheritance will catch all the cases anyway.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the new adapter.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/ResourceUsage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM"><code>ResourceUsage</code></a></dd>
</dl>
</li>
</ul>
<a name="createTimedElementAdapter--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createTimedElementAdapter</h4>
<pre>public&nbsp;org.eclipse.emf.common.notify.Adapter&nbsp;createTimedElementAdapter()</pre>
<div class="block">Creates a new adapter for an object of class '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedElement.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time"><code><em>Timed Element</em></code></a>'.
 <!-- begin-user-doc -->
 This default implementation returns null so that we can easily ignore cases;
 it's useful to ignore a case when inheritance will catch all the cases anyway.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the new adapter.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedElement.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time"><code>TimedElement</code></a></dd>
</dl>
</li>
</ul>
<a name="createTimedProcessingAdapter--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createTimedProcessingAdapter</h4>
<pre>public&nbsp;org.eclipse.emf.common.notify.Adapter&nbsp;createTimedProcessingAdapter()</pre>
<div class="block">Creates a new adapter for an object of class '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedProcessing.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time"><code><em>Timed Processing</em></code></a>'.
 <!-- begin-user-doc -->
 This default implementation returns null so that we can easily ignore cases;
 it's useful to ignore a case when inheritance will catch all the cases anyway.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the new adapter.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedProcessing.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time"><code>TimedProcessing</code></a></dd>
</dl>
</li>
</ul>
<a name="createGaScenarioAdapter--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createGaScenarioAdapter</h4>
<pre>public&nbsp;org.eclipse.emf.common.notify.Adapter&nbsp;createGaScenarioAdapter()</pre>
<div class="block">Creates a new adapter for an object of class '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaScenario.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM"><code><em>Ga Scenario</em></code></a>'.
 <!-- begin-user-doc -->
 This default implementation returns null so that we can easily ignore cases;
 it's useful to ignore a case when inheritance will catch all the cases anyway.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the new adapter.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaScenario.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM"><code>GaScenario</code></a></dd>
</dl>
</li>
</ul>
<a name="createGaStepAdapter--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createGaStepAdapter</h4>
<pre>public&nbsp;org.eclipse.emf.common.notify.Adapter&nbsp;createGaStepAdapter()</pre>
<div class="block">Creates a new adapter for an object of class '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaStep.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM"><code><em>Ga Step</em></code></a>'.
 <!-- begin-user-doc -->
 This default implementation returns null so that we can easily ignore cases;
 it's useful to ignore a case when inheritance will catch all the cases anyway.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the new adapter.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaStep.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM"><code>GaStep</code></a></dd>
</dl>
</li>
</ul>
<a name="createGaRequestedServiceAdapter--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createGaRequestedServiceAdapter</h4>
<pre>public&nbsp;org.eclipse.emf.common.notify.Adapter&nbsp;createGaRequestedServiceAdapter()</pre>
<div class="block">Creates a new adapter for an object of class '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaRequestedService.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM"><code><em>Ga Requested Service</em></code></a>'.
 <!-- begin-user-doc -->
 This default implementation returns null so that we can easily ignore cases;
 it's useful to ignore a case when inheritance will catch all the cases anyway.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the new adapter.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaRequestedService.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM"><code>GaRequestedService</code></a></dd>
</dl>
</li>
</ul>
<a name="createGaCommStepAdapter--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createGaCommStepAdapter</h4>
<pre>public&nbsp;org.eclipse.emf.common.notify.Adapter&nbsp;createGaCommStepAdapter()</pre>
<div class="block">Creates a new adapter for an object of class '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaCommStep.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM"><code><em>Ga Comm Step</em></code></a>'.
 <!-- begin-user-doc -->
 This default implementation returns null so that we can easily ignore cases;
 it's useful to ignore a case when inheritance will catch all the cases anyway.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the new adapter.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaCommStep.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM"><code>GaCommStep</code></a></dd>
</dl>
</li>
</ul>
<a name="createResourceAdapter--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createResourceAdapter</h4>
<pre>public&nbsp;org.eclipse.emf.common.notify.Adapter&nbsp;createResourceAdapter()</pre>
<div class="block">Creates a new adapter for an object of class '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM"><code><em>Resource</em></code></a>'.
 <!-- begin-user-doc -->
 This default implementation returns null so that we can easily ignore cases;
 it's useful to ignore a case when inheritance will catch all the cases anyway.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the new adapter.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM"><code>Resource</code></a></dd>
</dl>
</li>
</ul>
<a name="createEObjectAdapter--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>createEObjectAdapter</h4>
<pre>public&nbsp;org.eclipse.emf.common.notify.Adapter&nbsp;createEObjectAdapter()</pre>
<div class="block">Creates a new adapter for the default case.
 <!-- begin-user-doc -->
 This default implementation returns null.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the new adapter.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/PAMAdapterFactory.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/PAM/util/PAMResourceFactoryImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.PAM.util"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/PAM/util/PAMAdapterFactory.html" target="_top">Frames</a></li>
<li><a href="PAMAdapterFactory.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
